package com.bwie.auth.controller;

import com.bwie.auth.service.AuthService;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.LoginRequest;
import com.bwie.common.domain.response.JwtResponse;
import com.bwie.common.exception.ServiceException;
import com.bwie.common.result.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.auth.controller
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
@RestController
public class AuthController {

    @Autowired
    private AuthService authService;

    @PostMapping("/login")
    public Result<JwtResponse> login(@RequestBody LoginRequest loginRequest) throws ServiceException {
        return authService.login(loginRequest);
    }

    @GetMapping("/user/info")
    public Result<User> userInfo(){
        User user = authService.userInfo();
        return Result.success(user);
    }

    @PostMapping("/logout")
    public Result logout(){
        authService.logout();
        return Result.success();
    }
}
