package com.bwie.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.common.domain
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
@Data
public class Order implements Serializable {
    /**
     * 订单主键
     */
    private Integer orderId;
    /**
     * 用户
     */
    private Integer userId;
    /**
     * 景区id
     */
    private Integer scenicId;
    /**
     * 景区名称
     */
    private String scenicName;
    /**
     * 景区介绍
     */
    private String introduction;
    /**
     * 票价
     */
    private BigDecimal fares;
    /**
     * 票数
     */
    private Integer votes;
    /**
     * 总价
     */
    private BigDecimal totalFares;
    /**
     * 支付银行卡号
     */
    private String payCard;
    /**
     * 支付时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date payTime;
    /**
     * 状态:1-未使用 2-已使用 3-已退票 4-待支付 5-抢票中
     */
    private Integer statues;
}
