package com.bwie.scenic.controller;

import com.bwie.common.domain.Order;
import com.bwie.common.domain.request.OrderRequest;
import com.bwie.common.domain.response.OrderResponse;
import com.bwie.common.result.Result;
import com.bwie.scenic.service.OrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.scenic.controller
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
@RestController
@RequestMapping("/order")
public class OrderController {

    @Autowired
    private OrderService orderService;

    @PostMapping("/buy")
    public Result buy(@RequestBody OrderResponse orderResponse){
        if (orderResponse.getVotes().equals(0)){
            return Result.error("无法购票");
        }
        if (orderResponse.getRemainingVotes() < orderResponse.getVotes()){
            return Result.error("购票数不得大于剩余票数");
        }
        orderService.buy(orderResponse);
        return Result.success();
    }

    @PostMapping("/list")
    public Result<List<OrderResponse>> list(@RequestBody OrderRequest orderRequest){
        List<OrderResponse> list = orderService.list(orderRequest);
        return Result.success(list);
    }

    @PutMapping("/refund/{orderId}")
    public Result refund(@PathVariable("orderId") Integer orderId){
        orderService.refund(orderId);
        return Result.success();
    }
}
