package com.bwie.scenic.controller;

import com.bwie.common.domain.Scenic;
import com.bwie.common.domain.request.ScenicRequest;
import com.bwie.common.domain.response.ScenicResponse;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.scenic.service.ScenicService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.scenic.controller
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
@RestController
public class ScenicController {

    @Autowired
    private ScenicService scenicService;

    @PostMapping("/list")
    public Result<PageResult<ScenicResponse>> list(@RequestBody ScenicRequest scenicRequest){
        return scenicService.list(scenicRequest);
    }

    @GetMapping("/findById/{scenicId}")
    public Result<Scenic> findById(@PathVariable("scenicId") Integer scenicId){
        Scenic scenic = scenicService.findById(scenicId);
        return Result.success(scenic);
    }
}
