package com.bwie.scenic.mapper;

import com.bwie.common.domain.Order;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.OrderRequest;
import com.bwie.common.domain.response.OrderResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.scenic.mapper
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
public interface OrderMapper {
    /**
     * 购票
     * @param orderResponse
     */
    void buy(OrderResponse orderResponse);

    /**
     * 用户余额更改
     * @param user
     */
    void updateUserBalance(User user);

    /**
     * 已购门票
     * @return
     */
    List<OrderResponse> list(OrderRequest orderRequest);

    /**
     * 回显
     * @param orderId
     * @return
     */
    Order findById(@Param("orderId") Integer orderId);

    /**
     * 订单状态变更
     * @param order
     */
    void updateOrder(Order order);
}
