package com.bwie.scenic.service.impl;

import com.bwie.common.domain.Scenic;
import com.bwie.common.domain.request.ScenicRequest;
import com.bwie.common.domain.response.ScenicResponse;
import com.bwie.common.result.PageResult;
import com.bwie.common.result.Result;
import com.bwie.scenic.mapper.ScenicMapper;
import com.bwie.scenic.service.ScenicService;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ProjectName: week3-1129
 * @PackageName: com.bwie.scenic.service.impl
 * @Description TODO
 * @Author LiYonJie
 * @Date 2023/11/29
 * @Version 1.0
 */
@Service
public class ScenicServiceImpl implements ScenicService {

    @Autowired
    private ScenicMapper scenicMapper;

    /**
     * 1.4 景点列表展示正确
     *     根据景点名称和价格区间进行检索，结果正确
     *     分页展示正确
     * @param scenicRequest
     * @return
     */
    @Override
    public Result<PageResult<ScenicResponse>> list(ScenicRequest scenicRequest) {
        PageHelper.startPage(scenicRequest.getPageNum(), scenicRequest.getPageSize());
        List<ScenicResponse> list = scenicMapper.list(scenicRequest);
        PageInfo<ScenicResponse> info = new PageInfo<>(list);
        return PageResult.toResult(info.getTotal(), list);
    }

    /**
     * 1.5 景点名称、价格、票数回显正确（5分）
     * @param scenicId
     * @return
     */
    @Override
    public Scenic findById(Integer scenicId) {
        return scenicMapper.findById(scenicId);
    }

    @Override
    public void updateRemainingVotes(Scenic scenic) {
        scenicMapper.updateRemainingVotes(scenic);
    }
}
